org.apache.poi.hssf.record

## Class DefaultRowHeightRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.DefaultRowHeightRecord

- All Implemented Interfaces:
    Duplicatable

      public final class DefaultRowHeightRecord
      extends StandardRecord

  Row height for rows with undefined or not explicitly defined heights.
  Version:
    2.0-pre

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `DEFAULT_ROW_HEIGHT` The default row height for empty rows is 255 twips (255 / 20 == 12.75 points)
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRowHeightRecord()`
    `DefaultRowHeightRecord(DefaultRowHeightRecord other)`
    `DefaultRowHeightRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultRowHeightRecord` | `clone()` Deprecated.
    `DefaultRowHeightRecord` | `copy()`
    `protected int` | `getDataSize()`
    `short` | `getOptionFlags()` get the (currently unimportant to HSSF) option flags
    `short` | `getRowHeight()` get the default row height
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setOptionFlags(short flags)` set the (currently unimportant to HSSF) option flags
    `void` | `setRowHeight(short height)` set the default row height
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### DEFAULT_ROW_HEIGHT

          public static final short DEFAULT_ROW_HEIGHT

      The default row height for empty rows is 255 twips (255 / 20 == 12.75 points)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultRowHeightRecord

          public DefaultRowHeightRecord()

    - #### DefaultRowHeightRecord

          public DefaultRowHeightRecord(DefaultRowHeightRecord other)

    - #### DefaultRowHeightRecord

          public DefaultRowHeightRecord(RecordInputStream in)

  - ### Method Detail

    - #### setOptionFlags

          public void setOptionFlags(short flags)

      set the (currently unimportant to HSSF) option flags
      Parameters:
        `flags` - the bitmask to set

    - #### setRowHeight

          public void setRowHeight(short height)

      set the default row height
      Parameters:
        `height` - for undefined rows/rows w/undefined height

    - #### getOptionFlags

          public short getOptionFlags()

      get the (currently unimportant to HSSF) option flags
      Returns:
        flags - the current bitmask

    - #### getRowHeight

          public short getRowHeight()

      get the default row height
      Returns:
        rowheight for undefined rows/rows w/undefined height

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public DefaultRowHeightRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public DefaultRowHeightRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.